%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-framework
Version:       5.107.0
Release:       1mamba
Summary:       KDE Frameworks 5 foundations that can be used to build a primary user interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/frameworks/%{majver}/plasma-framework-%{version}.tar.xz
Source1:       openmamba.svgz
Source2:       openmamba-light-metadata.json.cmake
Source3:       openmamba-dark-metadata.json.cmake
Patch0:        plasma-framework-5.55.0-arm-GLESv2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkactivities-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkirigami2-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwayland-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: libkirigami2-devel
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The plasma framework provides the foundations that can be used to build a primary user interface, from graphical to logical components.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package desktopthemes
Group:         Graphical Desktop/Look 'n' feel
Summary:       Additional Plasma desktop themes
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description desktopthemes
Additional Plasma desktop themes.

%package -n plasma-desktoptheme-openmamba
Group:         Graphical Desktop/Look 'n' feel
Summary:       Plasma desktop theme for openmamba
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n plasma-desktoptheme-openmamba
Plasma desktop theme for openmamba.

%debug_package

%prep
%setup -q
#%ifarch arm
#%patch0 -p1
#%endif
cp -a  src/desktoptheme/{breeze-dark,openmamba-dark}
cp -a  src/desktoptheme/{breeze-light,openmamba-light}
cp -a %{SOURCE2} src/desktoptheme/openmamba-light/metadata.json.cmake
cp -a %{SOURCE3} src/desktoptheme/openmamba-dark/metadata.json.cmake
sed -i "s|61,174,233|82,174,50|" src/desktoptheme/openmamba-{light,dark}/colors
sed -i "s|defaultWallpaperTheme=.*|defaultWallpaperTheme=openmambaRandom|" src/desktoptheme/openmamba-{light,dark}/plasmarc
sed -i "s|desktoptheme/breeze|desktoptheme/openmamba|" src/desktoptheme/openmamba-{light,dark}/CMakeLists.txt
cat >> src/desktoptheme/CMakeLists.txt << _EOF
add_subdirectory( openmamba-dark )
add_subdirectory( openmamba-light )
_EOF

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

# Replace desktop menu icon (start.svgz) with openmamba icon
for d in %{buildroot}%{_datadir}/plasma/desktoptheme/*; do
   [ -e ${d}/icons/start.svgz ] && install -m0644 %{SOURCE1} ${d}/icons/start.svgz
done

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/plasmapkg2
#%{_datadir}/kservices5/plasma-scriptengine-applet-declarative.desktop
%{_kde5_servicetypesdir}/plasma-applet.desktop
%{_kde5_servicetypesdir}/plasma-containment.desktop
%{_kde5_servicetypesdir}/plasma-containmentactions.desktop
%{_kde5_servicetypesdir}/plasma-dataengine.desktop
%{_kde5_servicetypesdir}/plasma-generic.desktop
%{_kde5_servicetypesdir}/plasma-lookandfeel.desktop
%{_kde5_servicetypesdir}/plasma-packagestructure.desktop
%{_kde5_servicetypesdir}/plasma-scriptengine.desktop
%{_kde5_servicetypesdir}/plasma-service.desktop
%{_kde5_servicetypesdir}/plasma-shell.desktop
%{_kde5_servicetypesdir}/plasma-wallpaper.desktop
%{_datadir}/qlogging-categories5/plasma-framework.*categories
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/desktoptheme
%dir %{_datadir}/plasma/desktoptheme/default
%{_datadir}/plasma/desktoptheme/default/*
%{_datadir}/plasma/services/dataengineservice.operations
%{_datadir}/plasma/services/plasmoidservice.operations
%{_datadir}/plasma/services/storage.operations
%{_datadir}/kdevappwizard/templates/*
%{_datadir}/locale/lt/LC_SCRIPTS/libplasma5/libplasma5.js
%{_datadir}/locale/lt/LC_SCRIPTS/libplasma5/plasmoids.js
%{_mandir}/man1/plasmapkg2.1*
%{_mandir}/*/man1/plasmapkg2.1*

%files desktopthemes
%defattr(-,root,root)
%dir %{_datadir}/plasma/desktoptheme/air
%{_datadir}/plasma/desktoptheme/air/*
%dir %{_datadir}/plasma/desktoptheme/breeze-light
%{_datadir}/plasma/desktoptheme/breeze-light/*
%dir %{_datadir}/plasma/desktoptheme/breeze-dark
%{_datadir}/plasma/desktoptheme/breeze-dark/*
%dir %{_datadir}/plasma/desktoptheme/oxygen
%{_datadir}/plasma/desktoptheme/oxygen/*

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Plasma.so.*
%{_kde5_libdir}/libKF5PlasmaQuick.so.*
%{_libdir}/qt5/plugins/plasma/scriptengines/plasma_appletscript_declarative.so
%{_libdir}/qt5/plugins/kf5/kirigami/KirigamiPlasmaStyle.so
%{_libdir}/qt5/plugins/kpackage/packagestructure/*.so
%{_libdir}/qt5/qml/QtQuick/Controls/Styles/Plasma/*
%{_libdir}/qt5/qml/QtQuick/Controls.2/Plasma/*
%{_libdir}/qt5/qml/org/kde/plasma/accessdenied/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/calendar
%{_libdir}/qt5/qml/org/kde/plasma/calendar/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/components
%{_libdir}/qt5/qml/org/kde/plasma/components/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/components.3
%{_libdir}/qt5/qml/org/kde/plasma/components.3/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/core
%{_libdir}/qt5/qml/org/kde/plasma/core/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/extras
%{_libdir}/qt5/qml/org/kde/plasma/extras/*
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles/Plasma
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/Plasma/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/platformcomponents
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/plugins.qmltypes
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/libplatformcomponentsplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/qmldir
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Plasma
%{_kde5_includedir}/Plasma/*
%dir %{_kde5_includedir}/plasma
%{_kde5_includedir}/plasma/*
%dir %{_kde5_includedir}/PlasmaQuick
%{_kde5_includedir}/PlasmaQuick/*
%dir %{_kde5_includedir}/plasmaquick
%{_kde5_includedir}/plasmaquick/*
%dir %{_kde5_libdir}/cmake/KF5Plasma
%{_kde5_libdir}/cmake/KF5Plasma/*.cmake
%dir %{_kde5_libdir}/cmake/KF5PlasmaQuick
%{_kde5_libdir}/cmake/KF5PlasmaQuick/*.cmake
%{_kde5_libdir}/libKF5Plasma.so
%{_kde5_libdir}/libKF5PlasmaQuick.so

%files -n plasma-desktoptheme-openmamba
%defattr(-,root,root)
%dir %{_datadir}/plasma/desktoptheme/openmamba-dark
%{_datadir}/plasma/desktoptheme/openmamba-dark/*
%dir %{_datadir}/plasma/desktoptheme/openmamba-light
%{_datadir}/plasma/desktoptheme/openmamba-light/*

%changelog
* Fri Jun 16 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Mon May 22 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sun Mar 12 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Fri Mar 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.103.0-2mamba
- provide correct desktoptheme metadata.json for openmamba themes

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Mon Dec 12 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Sat Nov 19 2022 Automatic Build System <autodist@mambasoft.it> 5.100.1-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.96.0-2mamba
- move non-default desktop themes to the -desktopthemes subpackage

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.95.0-3mamba
- change name in metadata of plasma desktop themes

* Fri Jul 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.95.0-2mamba
- add openmamba plasma desktop themes

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Mon Sep 13 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.79.0-2mamba
- replace desktop menu icon (start.svgz) with openmamba icon

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Tue Nov 17 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 5.70.1-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Mon Oct 21 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Mon Jul 22 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Thu Mar 14 2019 Automatic Build System <autodist@mambasoft.it> 5.56.1-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 30 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Thu Nov 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.39.0-2mamba
- libplasma-framework: require plasma-framework

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Fri Dec 23 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Sun May 08 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Sun Feb 28 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 22 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Automatic Build System <autodist@mambasoft.it> 5.17.0-2mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.17.0-1mamba
- update to 5.17.0

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-1mamba
- update to 5.13.0

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-1mamba
- package created using the webbuild interface
